Skip to main content
`Ctrl`+`K`

# NEPNLEIGSSetEPS

Associate an eigensolver object (`EPS`) to the NLEIGS solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSSetEPS(NEP nep,EPS eps)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- eps - the linear eigensolver context

## Note

By default, the linear eigensolver is integrated within the NLEIGS method. This `EPS` object is used only in the case that the explicit basis has been selected with `NEPNLEIGSSetFullBasis()`.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPNLEIGS`, `NEPNLEIGSGetEPS()`, `NEPNLEIGSSetFullBasis()`

## Level

advanced

## Location

src/nep/impls/nleigs/nleigs-fullb.c

## Implementations

NEPNLEIGSSetEPS_NLEIGS() in src/nep/impls/nleigs/nleigs-fullb.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages